KDE 4.7 PyKDE API Reference

- KDE's Python API

# KParts Namespace Reference

`from PyKDE4.kparts.KParts import *`

## Detailed Description

## Class Index

B | H | PartSelectEvent (KParts)
BrowserArguments (KParts) | HistoryProvider (KParts) | Plugin (KParts)
BrowserExtension (KParts) | HtmlExtension (KParts) | PluginInfo (KParts.Plugin)
BrowserHostExtension (KParts) | L | R
BrowserInterface (KParts) | LiveConnectExtension (KParts) | ReadOnlyPart (KParts)
BrowserOpenOrSaveQuestion (KParts) | M | ReadWritePart (KParts)
BrowserRun (KParts) | MainWindow (KParts) | S
E | O | ScriptableExtension (KParts)
Element (KParts.SelectorInterface) | OpenUrlArguments (KParts) | SelectorInterface (KParts)
Event (KParts) | OpenUrlEvent (KParts) | StatusBarExtension (KParts)
F | P | T
Factory (KParts) | Part (KParts) | TextExtension (KParts)
FileInfoExtension (KParts) | PartActivateEvent (KParts) | W
G | PartBase (KParts) | WindowArgs (KParts)
GUIActivateEvent (KParts) | PartManager (KParts) |

## Functions
long | qHash (KParts::ScriptableExtension::Object o)
long | qHash (KParts::ScriptableExtension::FunctionRef f)

## Function Documentation

long qHash | ( | KParts::ScriptableExtension::Object | o
| ) |  |  |

An extension class that permits KParts to be scripted (such as when embedded inside a KHTMLPart) and to access the host's scriptable objects as well.

See ScriptValueTypes for how values are passed to/from various methods here.

Since:
  4.5

\nosubgrouping

long qHash | ( | KParts::ScriptableExtension::FunctionRef | f
| ) |  |  |

An extension class that permits KParts to be scripted (such as when embedded inside a KHTMLPart) and to access the host's scriptable objects as well.

See ScriptValueTypes for how values are passed to/from various methods here.

Since:
  4.5

\nosubgrouping